Function
open
Open a BamStream object for reading/writing.
open(bamIO, fileName[, mode[, format]])
Include Headers
seqan/bam_io.h
Parameters

bamIO | The BamStream object to open. Types: BamStream
fileName | The path to the file to open. Types: CharString
mode | The mode to open the file in. Optional. Types: BamStream::OperationMode. Default: BamStream::READ
format | The format to use, inferred from file contents (reading) or file name (writing) by default. The path to the file to open. Types: BamStream::Format., CharString Default: BamStream::AUTO

Return Values
An int status code: 0 on success, 1 on errors.
Member of
BamStream
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57